Skip to content
Start here

Activate a browser target.

client.BrowserRendering.Devtools.Browser.Targets.Activate(ctx, sessionID, targetID, query) (*DevtoolBrowserTargetActivateResponse, error)
GET/accounts/{account_id}/browser-rendering/devtools/browser/{session_id}/json/activate/{target_id}

Activates (brings to front) a specific browser target by its ID.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Browser Rendering WriteBrowser Rendering Read
ParametersExpand Collapse
sessionID string

Browser session ID.

formatuuid
targetID string

Target ID to activate.

query DevtoolBrowserTargetActivateParams
AccountID param.Field[string]

Account ID.

ReturnsExpand Collapse
type DevtoolBrowserTargetActivateResponse struct{…}
Message string

Target activated.

Activate a browser target.

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/browser_rendering"
  "github.com/cloudflare/cloudflare-go/option"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.BrowserRendering.Devtools.Browser.Targets.Activate(
    context.TODO(),
    "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
    "target_id",
    browser_rendering.DevtoolBrowserTargetActivateParams{
      AccountID: cloudflare.F("account_id"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Message)
}
{
  "message": "message"
}
Returns Examples
{
  "message": "message"
}